<!doctype html>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" >
<html>
<head>
<meta charset="UTF-8" />
<meta http-equiv="Content-Language" content="zh-cn"/>
<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />
<title><?php echo $Title; ?>-<?php echo $Powered; ?></title>
<link rel="stylesheet" href="./css/install.css?v=v1.0" />
<script src="/themes/default/js/jquery-1.11.2.min.js"></script>
<script src="/themes/layui/layer.js"></script>
</head>
<body>
<div class="wrap">
  <?php require './templates/header.php';?>
  <section class="section">
    <div class="blank30"></div>
    <div class="go go3"></div>
    <div class="blank30"></div>
    <form id="J_install_form" action="index.php?step=4" method="post">
      <input type="hidden" name="force" value="0" />
      <div class="server">
        <table width="100%" id="table" border="0" cellspacing="1" cellpadding="4">
          <tr>
            <td class="td1" colspan="2">数据库信息</td>
          </tr>
          <tr>
            <td class="tar">数据库地址</td>
            <td><input type="text" name="dbhost" id="dbhost" value="127.0.0.1" class="input">
              <div id="J_install_tip_dbhost"><span class="gray">一般为127.0.0.1 或 localhost</span></div></td>
          </tr>
          <tr>
            <td class="tar">数据库端口</td>
            <td><input type="text" name="dbport" id="dbport" value="3306" class="input">
              <div id="J_install_tip_dbport"><span class="gray">一般为3306</span></div></td>
          </tr>
          <tr>
            <td class="tar">数据库名</td>
            <td><input type="text" name="dbname" id="dbname" value="" class="input" onBlur="TestDbPwd(0)">
              <div id="J_install_tip_dbname"></div></td>
          </tr>
          <tr>
            <td class="tar">数据库用户名</td>
            <td><input type="text" name="dbuser" id="dbuser" value="root" class="input">
              <div id="J_install_tip_dbuser"></div></td>
          </tr>
          <tr>
            <td class="tar">数据库密码</td>
            <td><input type="password" name="dbpw" id="dbpw" value="" class="input" autoComplete="off" onBlur="TestDbPwd(0)">
              <div id="J_install_tip_dbpw"></div></td>
          </tr>
          <tr>
            <td class="tar">数据库表前缀</td>
            <td><input type="text" name="dbprefix" id="dbprefix" value="bgk_" class="input" >
              <div id="J_install_tip_dbprefix"><span class="gray">推荐使用&nbsp;bgk_</span></div></td>
          </tr>
        </table>
        <table width="100%" id="table" border="0" cellspacing="1" cellpadding="4">
          <tr>
            <td class="td1" colspan="2">管理员信息</td>
          </tr>
          <tr>
            <td class="tar">管理员帐号</td>
            <td><input type="text" name="manager" id="manager" value="admin" class="input">
              <div id="J_install_tip_manager"></div></td>
          </tr>
          <tr>
            <td class="tar">管理员密码</td>
            <td><input type="password" name="manager_pwd" id="manager_pwd" class="input" autoComplete="off">
              <div id="J_install_tip_manager_pwd"><span class="gray">密码长度至少6位</span></div></td>
          </tr>
          <tr>
            <td class="tar">请确认密码</td>
            <td><input type="password" name="manager_ckpwd" id="manager_ckpwd" class="input" autoComplete="off">
              <div id="J_install_tip_manager_ckpwd"><span class="gray">密码长度至少6位</span></div></td>
          </tr>
          <tr>
            <td colspan="2"><center>
                <a href="./index.php?step=2" class="btn_b">上一步</a>
                <button type="button" onClick="checkForm();" class="btn btn_submit J_install_btn">创建数据</button>
              </center></td>
          </tr>
        </table>
        <div id="J_response_tips" style="display:none;"></div>
      </div>
    </form>
  </section>
  <div  style="width:0;height:0;overflow:hidden;"> <img src="./images/pop_loading.gif"> </div>
  <script src="./js/validate.js"></script> 
  <script src="./js/ajaxForm.js"></script> 
  <script>
   
  function TestDbPwd(connect_db)
  {
      var dbHost = $('#dbhost').val();
      var dbUser = $('#dbuser').val();
      var dbPwd = $('#dbpw').val();
      var dbName = $('#dbname').val();
      var dbport = $('#dbport').val();
      var demo  =  $('#demo').val();
      data={'dbHost':dbHost,'dbUser':dbUser,'dbPwd':dbPwd,'dbName':dbName,'dbport':dbport,'demo':demo};
      var url =  "<?php echo $_SERVER['PHP_SELF']; ?>?step=3&testdbpwd=1";
      $.ajax({
          type: "POST",
          url: url,
          data: data,
          dataType:'JSON',
          beforeSend:function(){         
          },
          success: function(res){     
              if(res.errcode == 1)
              {
                  if(connect_db == 1)
                  {
                    $("#J_install_form").submit(); // ajax 验证通过后再提交表单
                  }   
                  $('#J_install_tip_dbpw').html(res.dbpwmsg);
                  $('#J_install_tip_dbname').html(res.dbnamemsg);
              }
              else if(res.errcode == -1)
              {           
                  $('#J_install_tip_dbpw').html(res.dbpwmsg);
              }
              else if(res.errcode == -2)
              {           
                  $('#J_install_tip_dbname').html(res.dbnamemsg);
              }
              else
              {
                  $('#J_install_tip_dbpw').html(res.dbpwmsg);
              }
          },
          complete:function(){
          },
          error:function(){
              $('#J_install_tip_dbpw').html('<span for="dbname" generated="true" class="tips_error" style="">数据库连接失败，请重新设定</span>');    
          }
      });
  }
   
  function beforeSubmit()
  {
      var flag = false;
      var dbHost = $('#dbhost').val();
      var dbUser = $('#dbuser').val();
      var dbPwd = $('#dbpw').val();
      var dbName = $('#dbname').val();
      var dbport = $('#dbport').val();
      data={'dbHost':dbHost,'dbUser':dbUser,'dbPwd':dbPwd,'dbName':dbName,'dbport':dbport};
      var url =  "<?php echo $_SERVER['PHP_SELF']; ?>?step=3&check=1";
      $.ajax({
          type: "POST",
          url: url,
          async: false,
          data: data,
          dataType:'JSON',
          beforeSend:function(){
          },
          success: function(res){
              if (-1 == res.code) {
                  layer.closeAll();
                  layer.alert(res.msg, {icon: 5});
              } else {
                  flag = true;
              }
          },
          complete:function(){
          },
          error:function(){
              layer.closeAll();
              layer.alert('网络失败，请刷新页面后重试', {icon: 5});
          }
      });

      return flag;
  }

  function checkForm()
  {
      manager = $.trim($('#manager').val());        //用户名表单
      manager_pwd = $.trim($('#manager_pwd').val());        //密码表单
      manager_ckpwd = $.trim($('#manager_ckpwd').val());    //密码提示区
       
      if(manager.length == 0 )
      {
        layer.alert('管理员账号不能为空', {icon: 5});
        return false;
      }
      if(manager_pwd.length < 6 )
      {
        layer.alert('管理员密码必须6位数以上', {icon: 5});
        return false;
      } 
      if(manager_ckpwd !=  manager_pwd)
      {
        layer.alert('两次密码不一致', {icon: 5});
        return false;
      }
      layer_loading('正在安装');
      if (!beforeSubmit()) {
        return false;
      }
      TestDbPwd(1);
  }

  /**
   * 封装的加载层
   */
  function layer_loading(msg){
      var loading = layer.msg(
      msg+'...<img src="./images/loading-0.gif"/>&nbsp;请勿刷新页面', 
      {
          icon: 1,
          time: 3600000, //1小时后后自动关闭
          shade: [0.2] //0.1透明度的白色背景
      });

      return loading;
  }
</script> 
</div>
<?php require './templates/footer.php';?>
</body>
</html>